{% extends 'layout/basic.html' %}
{% load bootstrap4 %}
{% block title %}
    Добваление объявления
{% endblock %}


{#{% block content %}#}
{#    <h1>Добавление объявления</h1>#}
{#    <form {% if form.is_multipart %} enctype="multipart/form-data"{% endif %} action="{% url 'add' %}" method="post"> <!-- multipart/form-data нужен, если форма отправляет файлы -->#}
{#        {% csrf_token %}#}
{#        <table>#}
{#            {{ form.as_table }} <!-- as_p само подставляет labels и input поля красиво и на отдельные абзацы-->#}
{#        </table>#}
{#        <input type="submit" value="Добавить">#}
{#    </form>#}
{#{% endblock %}#}

{% block content %}
    <form action="{% url 'add' %}" method="post">
        {% csrf_token %}
        {% for hidden in form.hidden_fields %}
            {{ hidden }}
        {% endfor %}
        {% if form.non_field_errors %}
            <ul>
                {% for error in form.non_field_errors %}
                    <li><em>{{ error|escape }}</em></li>
                {% endfor %}
            </ul>
        {% endif %}

        <!--вместо цикла можно юзать и bootstrap-->
        <!--{% bootstrap_form form layout="horizontal" horizontal_field_class="col-md-5"  horizontal_label_class="col-md-3"%}-->
        {% for field in form.visible_fields %} <!-- Можно почитать про класс BoundField-->
            {% if form.errors %}
                <ul>
                    {% for error in field.errors %}
                        <li><em>{{ error|escape }}</em></li>
                    {% endfor %}
                </ul>
            {% endif %}
            <p>{{ field.label_tag }}<br>{{ field }}<br>{{ field.help_text }}</p>
            <!--или {% bootstrap_field field %}-->
        {% endfor %}}
        <input type="submit" value="Добавить">
    </form>
{% endblock %}